update ADOdb library to 5.20.9

Bug #1672867 reported by Cecilia Vela Gurovic on 2017-03-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Cecilia Vela Gurovic

Bug Description

We need to update the ADOdb library to 5.20.9 due to security updates

https://github.com/ADOdb/ADOdb/blob/v5.20.9/docs/changelog.md

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7533

Changed in mahara:
status: New → In Progress
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7546

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7548

Reviewed: https://reviews.mahara.org/7530
Committed: https://git.mahara.org/mahara/mahara/commit/aebf30606d1379147644fab8955816214bd34f6a
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit aebf30606d1379147644fab8955816214bd34f6a
Author: Aaron Wells <email address hidden>
Date: Fri May 31 15:59:10 2013 +1200

Deleting unnecessary files from ADOdb

Bug 1672867

On the principle that it's good secur1ty to remove executables you're not likely
to use, clearing out all the bits of ADOdb we're currently not using. This includes
drivers and data dictionaries for other DBs, tests, docs, icons, PHP4 session code,
pear auth container, and non-English error messages.

(cherry-picked from 9d44b44a2ae1923c9a07105e6932cda1af30b099)

behatnotneeded

Change-Id: I785aa139b11831f1a68bd806234729d85b8ed7d1
Signed-off-by: Cecilia Vela Gurovic <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7531
Committed: https://git.mahara.org/mahara/mahara/commit/9a4fb33b0be193a92ffc832d9c75e7e2d3e0ec97
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 9a4fb33b0be193a92ffc832d9c75e7e2d3e0ec97
Author: Robert Lyon <email address hidden>
Date: Mon Aug 15 12:27:03 2016 +1200

Modified session variable setting in ADOdb adodb-pager.inc.php

Bug 1672867

Was originally part of commit 55a8deb8cbd2e1455c7af3a35c50b7cad76d63df
but have moved it out to own patch for purposes of adodb version update

(cherry-picked from f9818ff606bbe6ec00b34eab23d1743870407b48)

behatnotneeded

Change-Id: Ie76bbe5b6b015246937b90b2782c0398243a69b8
Signed-off-by: Cecilia Vela Gurovic <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7548
Committed: https://git.mahara.org/mahara/mahara/commit/8d2525085f977b1fccdbd90889c619a1d16c73c4
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 8d2525085f977b1fccdbd90889c619a1d16c73c4
Author: Son Nguyen <email address hidden>
Date: Thu Sep 1 08:38:35 2016 +1200

Fix a bug when determine if an array is associative

Bug 1672867

Use the original code from ADODB 5.20.5

(Cherry-picked from 606317195f8f3a8cdf9bc448c537b8c3708d75d7)

behatnotneeded

Change-Id: I9e4f7cca8debe2e79057f1c96b6dfd072a437317

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7532
Committed: https://git.mahara.org/mahara/mahara/commit/43b971a08656aa511d49c747b5d5d5ffa7c7c113
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 43b971a08656aa511d49c747b5d5d5ffa7c7c113
Author: Robert Lyon <email address hidden>
Date: Fri Jan 29 15:25:19 2016 +1300

Moving the define ADODB_ASSOC_CASE_* calls

Bug 1672867

As they are needed by ADONewConnection even when ADODB_EXTENSION is
above 4.0

(cherry-picked from 741aa7d2150d22e9206ffa1fd8a93e3f4d697324)

behatnotneeded

Change-Id: I25ada1a0ad9f69a839eed7db219b8af8033675d2
Signed-off-by: Cecilia Vela Gurovic <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7528
Committed: https://git.mahara.org/mahara/mahara/commit/48d13bd1c9489a1952c3f61b9bf24cd4f46fccf2
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 48d13bd1c9489a1952c3f61b9bf24cd4f46fccf2
Author: Richard Mansfield <email address hidden>
Date: Mon Jun 13 15:30:35 2011 +1200

Check for valid columns in adodb postgres64 driver MetaIndexes fn

Bug 1672867

Indexes on functions of columns have a 0 in the indkey column of
pg_catalog.pg_index, which doesn't refer to a column.

Don't return any columns for the index, rather than returning an empty
column name.

(cherry-picked from b87d9961020a8d52a2eaf709a9197520b3c6b65b)

behatnotneeded

Change-Id: I1d4ba7fa1013b6ed702d00ee1e9ad88783863b1e
Signed-off-by: Cecilia Vela Gurovic <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7529
Committed: https://git.mahara.org/mahara/mahara/commit/c256aedafc995ab6a8d822dc333ac0484b2bb9a8
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit c256aedafc995ab6a8d822dc333ac0484b2bb9a8
Author: Penny Leach <email address hidden>
Date: Sun Aug 23 14:54:23 2009 +0200

ADODB modification: add __wakeup to connection object

Bug 1672867

This reconnects to the db after wakeup, as resource types cannot be
serialized and unserialized.

This is necessary for unit tests, phpunit backups and restore globals
between each test.

(cherry-picked from 417077459037550239fe9b09bd20b50d4c19b57f)

Change-Id: I30bab7417edb548bdbbe39070562ca9e7b10075a
Signed-off-by: Cecilia Vela Gurovic <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7533
Committed: https://git.mahara.org/mahara/mahara/commit/37ba7ef044f3bce7d73908a855267837545b7eab
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 37ba7ef044f3bce7d73908a855267837545b7eab
Author: Cecilia Vela Gurovic <email address hidden>
Date: Thu Mar 16 12:54:41 2017 +1300

Bug 1672867: Upgrade ADODB to v5.20.9 with customizations

Final customizations for the upgrade.
Files removed:
composer.json docs/ drivers/adodb-ads.inc.php drivers/adodb-oci8quercus.inc.php
drivers/adodb-pdo_sqlsrv.inc.php
any files from lang/ not adodb-en (the only one we use)

behatnotneeded

Change-Id: I1bf07086f94dc8d206d7e164f109e50dd835703f
Signed-off-by: Cecilia Vela Gurovic <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7520
Committed: https://git.mahara.org/mahara/mahara/commit/82d08c95a9baf53113a030409b0edb2cf1983b66
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 82d08c95a9baf53113a030409b0edb2cf1983b66
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Mar 15 15:00:21 2017 +1300

Bug 1672867: Upgrade ADODB to version 5.20.9

behatnotneeded

Change-Id: I01902e8dc67c873da5a6d0c3012118764c0c47ad

Robert Lyon (robertl-9) on 2017-03-20
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2017-04-27
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers